> ## Documentation Index
> Fetch the complete documentation index at: https://waasapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询提款订单

## 接口描述

查询订单状态,商户需要重新确认订单状态。

• 当 symbol 为数字货币（如 USDT、USDC…）时，该订单表示 提款订单。

• 当 symbol=ENERGY 时，该订单表示 能量租赁订单。


## OpenAPI

````yaml POST /api/v1/api/order/getWithdrawOrder
openapi: 3.1.0
info:
  title: API Documentation
  description: A sample API documentation
  version: 1.0.0
servers:
  - url: https://waas2-out-api.powersafe-rel.cc/
security: []
paths:
  /api/v1/api/order/getWithdrawOrder:
    post:
      tags:
        - order-controller
      summary: 查询提款订单状态
      operationId: getWithdrawOrder
      parameters:
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
          description: 必须设置为 application/x-www-form-urlencoded
        - name: X-API-KEY
          in: header
          required: true
          description: 平台分配的商户身份凭证
          schema:
            type: string
            example: 53af2797-3eca-4412-b0cc-152733e
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - data
              properties:
                data:
                  type: string
                  description: |-
                    Base64编码的RSA加密数据，由以下原始参数加密生成:

                    **callBackId** (string): 商户可以通过 callBackId（需确保其唯一性）查询订单状态。
                  pattern: ^[A-Za-z0-9+/]+={0,2}$
                  example: U2FsdGVkX1+Jfz0VjXJbZ0tZz8G8v4w3Z2jWkT...
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - message
                  - data
                properties:
                  code:
                    type: integer
                    description: 业务状态码（0 = 成功），其他值均表示失败。
                    example: 0
                  message:
                    type: string
                    description: 正常情况下返回为空，当请求失败时则会返回错误信息。
                    example: ''
                  data:
                    type: string
                    description: |+
                      Base64编码的RSA加密数据，由以下原始参数加密生成:

                      **clientOrderId** (string): 商户提交的需查询的订单ID。

                      **orderState** (string):  订单状态，0：初始化、1：审核中 2：进行中、3：完成、
                      4：撤销、5：人工处理、6：失败

                    example: G+RlQN2lJ4qQtiXJC7Y6rgHmf2C4e3jHu4yoK6pEaBA==....
              examples:
                encrypted_response_example:
                  summary: 加密响应示例
                  value:
                    code: 0
                    message: ''
                    data: gwgguizKfpnzkvgotgLZD126qlI69oicjKhaVuyCaa4ZPYYxhDUIu2....
                decrypted_response_example:
                  summary: 解密后的完整响应
                  value:
                    code: 0
                    message: ''
                    data: >-
                      {"symbol":"USDT","amount":1.000000000000,"orderState":3,"clientOrderId":"250619639710001"}
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  responses:
    UnauthorizedError:
      description: 用户未授权，需提供有效的身份凭证。
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                description: 错误代码
              message:
                type: string
                description: 错误描述
          example:
            code: UNAUTHORIZED
            message: unauthorized
    ForbiddenError:
      description: 访问被拒绝，用户许可权不足。
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                description: 错误代码
              message:
                type: string
                description: 错误描述
          example:
            code: FORBIDDEN
            message: forbidden
    NotFoundError:
      description: 请求的资源未找到，检查 URL 是否正确。
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                description: 错误代码
              message:
                type: string
                description: 错误描述
          example:
            code: NOT FOUND
            message: not found

````